module "sqs" {
  source                                = "terraform-aws-modules/sqs/aws"
  version                               = "4.0.1"
  for_each                              = var.sqs_conf
  create                                = try(each.value.create, var.create)
  content_based_deduplication           = try(each.value.content_based_deduplication, var.content_based_deduplication)
  deduplication_scope                   = try(each.value.deduplication_scope, var.deduplication_scope)
  delay_seconds                         = try(each.value.delay_seconds, var.delay_seconds)
  fifo_queue                            = try(each.value.fifo_queue, var.fifo_queue)
  fifo_throughput_limit                 = try(each.value.fifo_throughput_limit, var.fifo_throughput_limit)
  kms_data_key_reuse_period_seconds     = try(each.value.kms_data_key_reuse_period_seconds, var.kms_data_key_reuse_period_seconds)
  kms_master_key_id                     = try(each.value.kms_master_key_id, var.kms_master_key_id)
  max_message_size                      = try(each.value.max_message_size, var.max_message_size)
  message_retention_seconds             = try(each.value.message_retention_seconds, var.message_retention_seconds)
  name                                  = each.key
  use_name_prefix                       = try(each.value.use_name_prefix, var.use_name_prefix)
  receive_wait_time_seconds             = try(each.value.receive_wait_time_seconds, var.receive_wait_time_seconds)
  redrive_allow_policy                  = try(each.value.redrive_allow_policy, var.redrive_allow_policy)
  redrive_policy                        = try(each.value.redrive_policy, var.redrive_policy)
  sqs_managed_sse_enabled               = try(each.value.sqs_managed_sse_enabled, var.sqs_managed_sse_enabled)
  visibility_timeout_seconds            = try(each.value.visibility_timeout_seconds, var.visibility_timeout_seconds)
  tags                                  = try(each.value.tags, var.tags)
  create_queue_policy                   = try(each.value.create_queue_policy, var.create_queue_policy)
  source_queue_policy_documents         = try(each.value.source_queue_policy_documents, var.source_queue_policy_documents)
  override_queue_policy_documents       = try(each.value.override_queue_policy_documents, var.override_queue_policy_documents)
  queue_policy_statements               = try(each.value.queue_policy_statements, var.queue_policy_statements)
  create_dlq                            = try(each.value.create_dlq, var.create_dlq)
  dlq_content_based_deduplication       = try(each.value.dlq_content_based_deduplication, var.dlq_content_based_deduplication)
  dlq_deduplication_scope               = try(each.value.dlq_deduplication_scope, var.dlq_deduplication_scope)
  dlq_delay_seconds                     = try(each.value.dlq_delay_seconds, var.dlq_delay_seconds)
  dlq_kms_data_key_reuse_period_seconds = try(each.value.dlq_kms_data_key_reuse_period_seconds, var.dlq_kms_data_key_reuse_period_seconds)
  dlq_kms_master_key_id                 = try(each.value.dlq_kms_master_key_id, var.dlq_kms_master_key_id)
  dlq_message_retention_seconds         = try(each.value.dlq_message_retention_seconds, var.dlq_message_retention_seconds)
  dlq_name                              = try(each.value.dlq_name, var.dlq_name)
  dlq_receive_wait_time_seconds         = try(each.value.dlq_receive_wait_time_seconds, var.dlq_receive_wait_time_seconds)
  dlq_redrive_allow_policy              = try(each.value.dlq_redrive_allow_policy, var.dlq_redrive_allow_policy)
  dlq_sqs_managed_sse_enabled           = try(each.value.dlq_sqs_managed_sse_enabled, var.dlq_sqs_managed_sse_enabled)
  dlq_visibility_timeout_seconds        = try(each.value.dlq_visibility_timeout_seconds, var.dlq_visibility_timeout_seconds)
  dlq_tags                              = try(each.value.dlq_tags, var.dlq_tags)
  create_dlq_queue_policy               = try(each.value.create_dlq_queue_policy, var.create_dlq_queue_policy)
  source_dlq_queue_policy_documents     = try(each.value.source_dlq_queue_policy_documents, var.source_dlq_queue_policy_documents)
  override_dlq_queue_policy_documents   = try(each.value.override_dlq_queue_policy_documents, var.override_dlq_queue_policy_documents)
  dlq_queue_policy_statements           = try(each.value.dlq_queue_policy_statements, var.dlq_queue_policy_statements)
}